# List of existing containers

## List of basic and runtime layers

| Layer                   | Container           |
|-------------------------|---------------------|
| Alpine 3.8              | alpine3.8           |
| Alpine 3.8 - PHP 5.6    | alpine3.8-php5.6    |
| Alpine 3.8 - NodeJS 8   | alpine3.8-nodejs8   |
| Alpine 3.9 - Ruby 2.4   | alpine3.8-ruby2.4   |
| Alpine 3.9              | alpine3.9           |
| Alpine 3.9 - Java 8     | alpine3.9-java8     |
| Alpine 3.9 - PHP 7.2    | alpine3.9-php7.2    |
| Alpine 3.9 - Python 2.7 | alpine3.9-python2.7 |
| Alpine 3.9 - Python 3.6 | alpine3.9-python3.6 |
| Alpine 3.9 - NodeJS 10  | alpine3.9-nodejs10  |
| Alpine 3.9 - Ruby 2.4   | alpine3.9-ruby2.4   |
| Alpine 3.9 - Tomcat 7   | alpine3.9-tomcat7   |
| Alpine 3.9 - Tomcat 8.5 | alpine3.9-tomcat8.5 |
| Sahana - Shared         | sahana-shared       |

## List of service containers

| Service         | Container       | UID/GID | Internal Port    |
|-----------------|-----------------|---------|------------------|
| ActiveMQ        | activemq        | 61616   | 61616 (ActiveMQ) |
| CKAN Datapusher | ckan-datapusher | 8080    | 8080 (HTTP)      |
| MariaDB         | mariadb         | 3306    | 3306 (MySQL)     |
| Postgres        | postgres        | 5432    | 5432 (Postgres)  |
| RabbitMQ        | rabbitmq        | 5672    | 5672 (AMQP)      |
| Redis           | redis           | 6379    | 6379 (Redis)     |
| Solr            | solr            | 8983    | 8983 (HTTP)      |

## List of application containers

All application containers have the application user UID/GID 8080 and listen on internal port 8080 (HTTP)

| Application    | Container         | Host        |
|----------------|-------------------|-------------|
| CKAN           | ckan              | ckan        |
| Crisis Cleanup | crisiscleanup     | cc          |
| CTS            | cts               | cts         |
| EcoGIS         | ecogis            | ecogis      |
| FrontlineSMS   | frontlinesms      | sms         |
| GNU Health     | gnuhealth         | gh          |
| KanBoard       | kanboard          | kb          |
| Mifos X        | mifosx            | mifosx      |
| Motech         | motech            | motech      |
| ODK Aggregate  | opendatakit       | odk         |
| ODK Build      | opendatakit-build | odkbuild    |
| Odoo           | odoo              | odoo        |
| OpenMapKit     | openmapkit        | omk         |
| Pan.do/ra      | pandora           | pandora     |
| Sahana         | sahana            | sahana      |
| Sahana - Demo  | sahana-demo       | sahana-demo |
| SAMBRO         | sambro            | sambro      |
| SeedDMS        | seeddms           | dms         |
| Sigmah         | sigmah            | sigmah      |
| Ushahidi       | ushahidi          | ush         |
